Difference between revisions of "Inkscape-dev"

From X-Moto
Jump to: navigation, search
Line 1: Line 1:
 +
[[Ca:Inkscape-dev|Català]]
 +
 
----
 
----
 
=Documentation for the developpement version of svg2lvl=
 
=Documentation for the developpement version of svg2lvl=
Line 5: Line 7:
 
=Disclaimer=
 
=Disclaimer=
  
This version of svg2lvl is not stable and not fully tested, but you can test it anyway. It requires Inkscape functionnalities that will be available in the next version of Inkscape, so to test this svg2lvl version, you have to compile Inkscape from source.
+
This version of svg2lvl is not stable and not fully tested,
 +
----
 +
but you can test it anyway. It requires Inkscape functionnalities that will be available in the next version of Inkscape, so to test this svg2lvl version, you have to compile Inkscape from source.
  
 
See [http://wiki.inkscape.org/wiki/index.php/WorkingWithSVN Inkscape svn] to get Inkscape source code and [http://wiki.inkscape.org/wiki/index.php/Category:Developer_Documentation Inkscape developper documentation] to compile it.
 
See [http://wiki.inkscape.org/wiki/index.php/WorkingWithSVN Inkscape svn] to get Inkscape source code and [http://wiki.inkscape.org/wiki/index.php/Category:Developer_Documentation Inkscape developper documentation] to compile it.

Revision as of 15:00, 20 October 2006

Català


Documentation for the developpement version of svg2lvl


Disclaimer

This version of svg2lvl is not stable and not fully tested,


but you can test it anyway. It requires Inkscape functionnalities that will be available in the next version of Inkscape, so to test this svg2lvl version, you have to compile Inkscape from source.

See Inkscape svn to get Inkscape source code and Inkscape developper documentation to compile it.

By the way, the developpement version has only be tested under Linux. So, it may not work at all under other operating systems.

Required softwares

  • Inkscape (svn version)
  • Python (>= 2.4)
  • Svg2lvl converter and inkscape extension from cvs
$ cvs -z3 -d:pserver:anonymous@xmoto.cvs.sourceforge.net:/cvsroot/xmoto co -P xmoto/tools/svg2lvl/

Pre-requesites

You have to install the svg2lvl inkscape extension.

GNU/Linux

We suppose that you have do the checkout into ~/xmoto-cvs/

$ cd ~/xmoto-cvs/xmoto/tools/svg2lvl/
$ mkdir -p ~/.inkscape/extensions/textures/
$ cp *.inx *.py ~/.inkscape/extensions/
$ cp textures/*.jpg ~/.inkscape/extensions/textures/
$ ln -s /usr/share/inkscape/extensions/bezmisc.py ~/.inkscape/extensions/bezmisc.py
$ ln -s /usr/share/inkscape/extensions/inkex.py ~/.inkscape/extensions/inkex.py
$ ln -s /usr/share/inkscape/extensions/embedimage.py ~/.inkscape/extensions/embedimage.py

Then, you can launch inkscape.

TODO

  • change the way xmoto properties are handled in inkscape objects label. DONE
  • fix the xmoto level size. DONE
  • show xmoto textures in Inkscape. DONE
  • show xmoto sprites in Inkscape. IN PROGRESS
  • use list of value in extensions windows. DONE
  • allow xmoto to update texture informations when new textures are downloaded by xmoto. IN PROGRESS
  • change the way inkscape object style is handled by svg2lvl extensions. IN PROGESS
  • create an automatic installation for Unix and Windows. TODO